Publish Drafts (by ID)

Request

POST

https://api.sourcecraft.tech/pulls/id:{pull_request_id}/comments/publish-drafts

Path parameters

Name

Description

pull_request_id

Type: string

Example: ``

Body

application/json
{
  "org_slug": "example",
  "repo_slug": "example",
  "pull_request_slug": "example",
  "silent": true
}

Name

Description

org_slug

Type: string

Example: example

pull_request_slug

Type: string

Example: example

repo_slug

Type: string

Example: example

silent

Type: boolean

Responses

200 OK

A successful response.

Body

application/json
{
  "published_count": "example"
}

Name

Description

published_count

Type: string<uint64>

Example: example

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example

Следующая